﻿@using System.Globalization

@model Nullable<DateTime>

@if (Model != null)
{
    var date = (DateTime)Model;
    PersianCalendar persian = new PersianCalendar();
    var dt = string.Format("<span dir='ltr'>{0:D4}/{1:D2}/{2:D2} {3}</span>", persian.GetYear(date), persian.GetMonth(date), persian.GetDayOfMonth(date), date.ToString("HH:mm"));
    @Html.Raw(dt)
}
else
{
    @Html.Raw(string.Empty)
}